OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.APPLE.VertexArrayObject

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAPPLEVertexArrayObject :: MonadIO m => m Bool
- gl_APPLE_vertex_array_object :: Bool
- gl_VERTEX_ARRAY_BINDING_APPLE :: GLenum
- glBindVertexArrayAPPLE :: MonadIO m => GLuint -> m ()
- glDeleteVertexArraysAPPLE :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenVertexArraysAPPLE :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glIsVertexArrayAPPLE :: MonadIO m => GLuint -> m GLboolean

# Extension Support

glGetAPPLEVertexArrayObject :: MonadIO m => m Bool

Is the APPLE_vertex_array_object extension supported?

gl_APPLE_vertex_array_object :: Bool

Is the APPLE_vertex_array_object extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAPPLEVertexArrayObject` in those cases instead.

# Enums

gl_VERTEX_ARRAY_BINDING_APPLE :: GLenum

# Functions

glBindVertexArrayAPPLE

Arguments

:: MonadIO m |
=> GLuint | `array`.
-> m () |

glDeleteVertexArraysAPPLE

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `arrays` pointing to `n` elements of type `GLuint`.
-> m () |

This command is an alias for `glDeleteVertexArrays`.

glGenVertexArraysAPPLE

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `arrays` pointing to `n` elements of type `GLuint`.
-> m () |

This command is an alias for `glGenVertexArrays`.

glIsVertexArrayAPPLE

Arguments

:: MonadIO m |
=> GLuint | `array`.
-> m GLboolean | of type Boolean.

This command is an alias for `glIsVertexArray`.